Skip to content

InsType⁠

Perform various operations for Symitar parameters.

Operations⁠

getInsTypeSelectFields⁠

POST

Execute the persistent ParameterService getInsTypeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InsTypeInsuranceTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInsTypeSelectFields
POST /nexum/627/persistent/parameter/getInsTypeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InsTypeInsuranceType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllInsTypeFields": true,
    "InsTypeFields": {
      "ConsolidationCode": true,
      "DefinedCode": true,
      "DisabilityInsuranceTable": true,
      "InsuranceType": true,
      "LifeInsuranceTable": true,
      "LongDescription": true,
      "MaxDisDirectInsType": true,
      "MaxLifeDirectInsType": true,
      "SecondInsuredAsPrimeDis": true,
      "SecondInsuredAsPrimeLife": true,
      "ShortDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getInsTypePagedListSelectFields⁠

POST

Execute the persistent ParameterService getInsTypePagedListSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getInsTypePagedListSelectFields
POST /nexum/627/persistent/parameter/getInsTypePagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInsTypeFields": true,
    "InsTypeFields": {
      "ConsolidationCode": true,
      "DefinedCode": true,
      "DisabilityInsuranceTable": true,
      "InsuranceType": true,
      "LifeInsuranceTable": true,
      "LongDescription": true,
      "MaxDisDirectInsType": true,
      "MaxLifeDirectInsType": true,
      "SecondInsuredAsPrimeDis": true,
      "SecondInsuredAsPrimeLife": true,
      "ShortDescription": true
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchInsTypePagedSelectFields⁠

POST

Execute the persistent ParameterService searchInsTypePagedSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
Tokenstringoptional
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/searchInsTypePagedSelectFields
POST /nexum/627/persistent/parameter/searchInsTypePagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllInsTypeFields": true,
    "InsTypeFields": {
      "ConsolidationCode": true,
      "DefinedCode": true,
      "DisabilityInsuranceTable": true,
      "InsuranceType": true,
      "LifeInsuranceTable": true,
      "LongDescription": true,
      "MaxDisDirectInsType": true,
      "MaxLifeDirectInsType": true,
      "SecondInsuredAsPrimeDis": true,
      "SecondInsuredAsPrimeLife": true,
      "ShortDescription": true
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateInsTypeByID⁠

POST

Execute the persistent ParameterService updateInsTypeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

InsTypeInsuranceTypeintegeroptional
Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateInsTypeByID
POST /nexum/627/persistent/parameter/updateInsTypeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "InsTypeInsuranceType": 0,
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "InsTypeFields": {
    "ConsolidationCode": 0,
    "DefinedCode": 0,
    "DisabilityInsuranceTable": 0,
    "InsuranceType": 0,
    "LifeInsuranceTable": 0,
    "LongDescription": "string",
    "MaxDisDirectInsType": 0,
    "MaxLifeDirectInsType": 0,
    "SecondInsuredAsPrimeDis": true,
    "SecondInsuredAsPrimeLife": true,
    "ShortDescription": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}